libgoocanvas2-devel-2.0.4-alt1.i586.rpm


Advertisement

Description

libgoocanvas2-devel - A new canvas widget for GTK+3 that uses cairo for drawing

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libgoocanvas2-devel-2.0.4-alt1.i586.rpm
Package name libgoocanvas2-devel
Package version 2.0.4
Package release alt1
Package architecture i586
Package type rpm
Category Development/C
Homepage -
License -
Maintainer -
Download size 110.33 KB
Installed size 110.33 KB
GooCanvas is a canvas widget for GTK+3 that uses the cairo 2D library for
drawing. It has a model/view split, and uses interfaces for canvas items and
views, so you can easily turn any application object into canvas items.
These are the files used for development.

Alternatives

Package Version Architecture Repository
libgoocanvas2-devel-2.0.4-alt1.x86_64.rpm 2.0.4 x86_64 Classic
libgoocanvas2-devel - - -

Requires

Name Value
/usr/lib/pkgconfig -
glib2-devel -
libgoocanvas2 = 2.0.4-alt1
libgtk+3-devel -
pkgconfig(cairo) -
pkgconfig(gtk+-3.0) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libgoocanvas2-devel = 2.0.4-alt1
pkgconfig(goocanvas-2.0) = 2.0.4

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libgoocanvas2-devel-2.0.4-alt1.i586.rpm
Source Package libgoocanvas2-2.0.4-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libgoocanvas2-devel rpm package:
    # sudo apt-get install libgoocanvas2-devel

Files

Path
/usr/include/goocanvas-2.0/goocanvas.h
/usr/include/goocanvas-2.0/goocanvasellipse.h
/usr/include/goocanvas-2.0/goocanvasenumtypes.h
/usr/include/goocanvas-2.0/goocanvasgrid.h
/usr/include/goocanvas-2.0/goocanvasgroup.h
/usr/include/goocanvas-2.0/goocanvasimage.h
/usr/include/goocanvas-2.0/goocanvasitem.h
/usr/include/goocanvas-2.0/goocanvasitemmodel.h
/usr/include/goocanvas-2.0/goocanvasitemsimple.h
/usr/include/goocanvas-2.0/goocanvasmarshal.h
/usr/include/goocanvas-2.0/goocanvaspath.h
/usr/include/goocanvas-2.0/goocanvaspolyline.h
/usr/include/goocanvas-2.0/goocanvasrect.h
/usr/include/goocanvas-2.0/goocanvasstyle.h
/usr/include/goocanvas-2.0/goocanvastable.h
/usr/include/goocanvas-2.0/goocanvastext.h
/usr/include/goocanvas-2.0/goocanvasutils.h
/usr/include/goocanvas-2.0/goocanvaswidget.h
/usr/lib/libgoocanvas-2.0.so
/usr/lib/pkgconfig/goocanvas-2.0.pc

Changelog

2017-10-16 - Yuri N. Sedunov <aris@altlinux.org> 2.0.4-alt1
- 2.0.4
2017-08-31 - Yuri N. Sedunov <aris@altlinux.org> 2.0.3-alt1
- 2.0.3
2013-11-03 - Yuri N. Sedunov <aris@altlinux.org> 2.0.2-alt1
- 2.0.2
2013-04-09 - Yuri N. Sedunov <aris@altlinux.org> 2.0.1-alt1.1
- updated from upstream git
2012-03-20 - Yuri N. Sedunov <aris@altlinux.org> 2.0.1-alt1
- first build for Sisyphus

See Also

Package Description
libgoocanvas2-gir-2.0.4-alt1.i586.rpm GObject introspection data for the GooCanvas library
libgovirt-0.3.4-alt1_8.i586.rpm A GObject library for interacting with oVirt REST API
libgovirt-devel-0.3.4-alt1_8.i586.rpm Libraries, includes, etc. to compile with the libgovirt library
libgovirt2-0.3.4-alt1_8.i586.rpm A GObject library for interacting with oVirt REST API
libgpac-v0.7.1.0.284.gite64a7d229-alt1.i586.rpm GPAC library
libgpaste-3.34.1-alt1.i586.rpm GPaste library
libgpaste-devel-3.34.1-alt1.i586.rpm Development files for gpaste
libgpaste-gir-3.34.1-alt1.i586.rpm GObject introspection data for the GPaste
libgperftools-2.6.3-alt1.i586.rpm Performance tools for C++ - shared libraries
libgperftools-devel-2.6.3-alt1.i586.rpm Performance tools for C++
libgpg-error-1.36-alt1.i586.rpm Error library for GnuPG and related projects
libgpg-error-devel-1.36-alt1.i586.rpm Development files for the libgpg-error package
libgpg-error-devel-static-1.36-alt1.i586.rpm Static libraries for the libgpg-error-devel package
libgpgme-1.11.1-alt2.i586.rpm GnuPG Made Easy!
libgpgme-devel-1.11.1-alt2.i586.rpm Include files for development with GPGME
Advertisement
Advertisement